#include <KERNEL/UDATADEF.H>
	
	.GLOBAL	KERNEL$SPL
KERNEL$SPL = UPLACE(UDATA_SPL)

	.GLOBAL	KERNEL$PPL
KERNEL$PPL = UPLACE(UDATA_PPL)

	.GLOBAL	KERNEL$BPL
KERNEL$BPL = UPLACE(UDATA_BPL)

	.GLOBAL	KERNEL$LIST_END
KERNEL$LIST_END = UPLACE(UDATA_LIST_END)

	.GLOBAL	KERNEL$AST_QUEUES
KERNEL$AST_QUEUES = UPLACE(UDATA_AST_QUEUES)

	.GLOBAL ORIG_ESP
ORIG_ESP = UPLACE(UDATA_ORIG_ESP)

	.GLOBAL	altstack
altstack = UPLACE(UDATA_ALTSTACK)

	.GLOBAL	altstack_size
altstack_size = UPLACE(UDATA_ALTSTACK_SIZE)

	.GLOBAL	ldt
ldt = UPLACE(UDATA_LDT)

	.GLOBAL	ldt_n
ldt_n = UPLACE(UDATA_LDT_N)

	.GLOBAL	MALLOC_BUCKETS
MALLOC_BUCKETS = UPLACE(UDATA_MALLOC_BUCKETS)

	.GLOBAL	KERNEL$STACKPAGE
KERNEL$STACKPAGE = UPLACE(UDATA_STRUCT + OFF_UDATA_base)

	.GLOBAL	udata
udata = UPLACE(UDATA_STRUCT)

	.GLOBAL	LN
LN = UPLACE(UDATA_STRUCT + OFF_UDATA_lnt)

	.GLOBAL STDHEAP_TOP
STDHEAP_TOP = UPLACE(UDATA_STRUCT + OFF_UDATA_base)

	.GLOBAL n_slabs
n_slabs = UPLACE(UDATA_STRUCT + OFF_UDATA_n_slabs)

	.GLOBAL all_slabs
all_slabs = UPLACE(UDATA_STRUCT + OFF_UDATA_all_slabs)

	.GLOBAL	KERNEL$VIRTUAL
KERNEL$VIRTUAL = UPLACE(UDATA_STRUCT + OFF_UDATA_vspace)

	.GLOBAL	KERNEL$PHYSICAL
KERNEL$PHYSICAL = UPLACE(UDATA_STRUCT + OFF_UDATA_vspace)

	.GLOBAL	environ
environ = UPLACE(UDATA_STRUCT + OFF_UDATA_environ)

	.GLOBAL	environ_list
environ_list = UPLACE(UDATA_STRUCT + OFF_UDATA_environ_list)

	.GLOBAL	environ_callbacks
environ_callbacks = UPLACE(UDATA_STRUCT + OFF_UDATA_environ_callbacks)

	.GLOBAL	__exit_func
__exit_func = UPLACE(UDATA_STRUCT + OFF_UDATA_exit_func);

	.GLOBAL	__progname
__progname = UPLACE(UDATA_STRUCT + OFF_UDATA_progname);

	.GLOBAL	errno
errno = UPLACE(UDATA_STRUCT + OFF_UDATA_errno)

	.GLOBAL	__isthreaded
__isthreaded = UPLACE(UDATA_STRUCT + OFF_UDATA_isthreaded)

	.GLOBAL multiopen
multiopen = UPLACE(UDATA_STRUCT + OFF_UDATA_multiopen)

	.GLOBAL	SUBPROC_CTL
SUBPROC_CTL = UPLACE(UDATA_STRUCT + OFF_UDATA_subproc_ctl)

	.GLOBAL KERNEL$LOGICAL_WAIT
KERNEL$LOGICAL_WAIT = UPLACE(UDATA_STRUCT + OFF_UDATA_logical_wait)

	.GLOBAL	KERNEL$QUEUE_AST
KERNEL$QUEUE_AST = APLACE(APAGE_QUEUE_AST)

	.GLOBAL	KERNEL$PROCESS_PENDING_AST
KERNEL$PROCESS_PENDING_AST = APLACE(APAGE_PROCESS_PENDING_AST)

	.GLOBAL	KERNEL$QUEUE_IRQ_AST
KERNEL$QUEUE_IRQ_AST = 0
	
	.GLOBAL SYSCALL1
SYSCALL1 = APLACE(APAGE_SYSCALL)

	.GLOBAL SYSCALL2
SYSCALL2 = APLACE(APAGE_SYSCALL)

	.GLOBAL SYSCALL3
SYSCALL3 = APLACE(APAGE_SYSCALL)

	.GLOBAL	GET_TIME_OF_DAY
GET_TIME_OF_DAY = APLACE(APAGE_GET_TIME_OF_DAY)

	.GLOBAL	malloc
malloc = APLACE(APAGE_MALLOC)

	.GLOBAL	___malloc_alias
___malloc_alias = APLACE(APAGE_MALLOC)

	.GLOBAL	___malloc_const
___malloc_const = APLACE(APAGE_MALLOC_CONST)

	.GLOBAL	free
free = APLACE(APAGE_FREE)

	.GLOBAL	KERNEL$CPU_FEATURES
KERNEL$CPU_FEATURES = APLACE(APAGE_CPU_FEATURES)

	.GLOBAL	USER_JIFFIES
USER_JIFFIES = APLACE(APAGE_USER_JIFFIES)

	.GLOBAL	KERNEL$JIFFIES_STEP
KERNEL$JIFFIES_STEP = APLACE(APAGE_JIFFIES_STEP)

	.GLOBAL	KERNEL$JIFFIES_STEP_BITS
KERNEL$JIFFIES_STEP_BITS = APLACE(APAGE_JIFFIES_STEP_BITS)

	.GLOBAL	TIME_MINUTESWEST
TIME_MINUTESWEST = APLACE(APAGE_TIME_MINUTESWEST)

	.GLOBAL	TIME_DST
TIME_DST = APLACE(APAGE_TIME_DST)

	.GLOBAL KERNEL$CONSOLE_BUFFER
KERNEL$CONSOLE_BUFFER = 0

	.GLOBAL	KERNEL$CONSOLE_BUFFER_SIZE
KERNEL$CONSOLE_BUFFER_SIZE = 0

	.GLOBAL KERNEL$CONSOLE_BUFFER_PTR
KERNEL$CONSOLE_BUFFER_PTR = 0

	.GLOBAL KERNEL$CONSOLE_X
KERNEL$CONSOLE_X = 0

	.GLOBAL KERNEL$CONSOLE_Y
KERNEL$CONSOLE_Y = 0

	.GLOBAL KERNEL$CONSOLE_ADDR
KERNEL$CONSOLE_ADDR = 0

	.GLOBAL KERNEL$CONSOLE_PORT
KERNEL$CONSOLE_PORT = 0

	.GLOBAL KERNEL$CONSOLE_LINES
KERNEL$CONSOLE_LINES = 0

	.GLOBAL KERNEL$CONSOLE_COLUMNS
KERNEL$CONSOLE_COLUMNS = 0

	.GLOBAL KERNEL$CONSOLE_GFX
KERNEL$CONSOLE_GFX = 0

	.GLOBAL KERNEL$ZERO_BANK
KERNEL$ZERO_BANK = 0

	.GLOBAL	kernel_dll_lh
kernel_dll_lh = KERNEL_DLL_BASE


