#ifndef __SPAD_SPLDEF_H
#define __SPAD_SPLDEF_H

#define SPL_USER		-1
#define SPL_ZERO		0
#define SPL_BOTTOM		1
#define SPL_SHELL		2
#define SPL_DL			3
#define SPL_DEV			3
#define SPL_TIMER		4
#define SPL_FS			6
#define SPL_TTY			SPL_FS	/* for now, it must be equivalent */
#define SPL_NET			10
#define SPL_PLIP		11
#define SPL_HID			12
#define SPL_PCI			16

#define SPL_OSS			16
#define SPL_RAID		17
#define SPL_CACHE		18
#define SPL_FLOPPY		19
#define SPL_ATA_SCSI		20
#define SPL_USB			21

#define SPL_AC97		23
#define SPL_HDA			23

#if __DEBUG >= 2
#define SPL_KEYBOARD		SPL_ALMOST_TOP
#else
#define SPL_KEYBOARD		24
/*
PS/2 mouse may share interrupt with net cards, so it should be as high as them
*/
#endif

#define SPL_NE			24
#define SPL_RTL			25
#define SPL_XL			25
#define SPL_SK			26
#define SPL_IPG			26

#define SPL_VSPACE		26
#define SPL_THREAD		26	/* must be >= SPL_VSPACE */

#define SPL_PACKET		27

#define SPL_ISA_SND		28

#define SPL_DMA			28

#define SPL_MALLOC		28

#define SPL_SIO			29

#define SPL_ALMOST_TOP		29
#define SPL_TOP			30

#endif
