#ifndef __KERNEL_UNXCDROM_H
#define __KERNEL_UNXCDROM_H

#include <LINUX/CDROM.H>

int cdrom_readtocentry(int h, struct cdrom_tocentry *tocentry);
int cdrom_readtochdr(int h, struct cdrom_tochdr *tochdr);
int cdrom_playmsf(int h, struct cdrom_msf *msf);
int cdrom_playtrkind(int h, struct cdrom_ti *ti);
int cdrom_subchnl(int h, struct cdrom_subchnl *sc);
int cdrom_pause(int h);
int cdrom_resume(int h);
int cdrom_stop(int h);
int cdrom_start(int h);
int cdrom_eject(int h);
int cdrom_close_tray(int h);

#endif
