#include <ARCH/SETUP.H>

	.SECTION .text

	.GLOBAL	memcpy
	.GLOBAL	___mempcpy_cont
	.ALIGN	__CPU_CALL_ALIGN
memcpy:
	PUSHL	%EDI
	MOVL	%EAX, %EDI
___mempcpy_cont:
	PUSHL	%ESI
	MOVL	%EDX, %ESI
	CALL	___memcpy_internal
	POPL	%ESI
	POPL	%EDI
	RET

/* This must not change %EAX, %EBX, %EBP. May change others */

	.GLOBAL	___memcpy_internal
	.ALIGN	__CPU_CALL_ALIGN
___memcpy_internal:
	MOVL	%EDI, %EDX
	ORL	%ECX, %EDX
	TESTB	$3, %DL
	JNZ	1f
9:	SHRL	$2, %ECX
	REP
	MOVSL
0:	RET

	.ALIGN	__CPU_BRANCH_ALIGN
1:	TESTW	$3, %DI
	JNZ	10f
3:	TESTB	$1, %CL
	JZ	2f
	SUBL	$1, %ECX
	MOVZBL	(%ESI,%ECX), %EDX
	MOVB	%DL, (%EDI,%ECX)
2:	TESTB	$2, %CL
	JZ	9b
	MOVZWL	-2(%ESI,%ECX), %EDX
	MOVW	%DX, -2(%EDI,%ECX)
	JMP	9b

	.ALIGN	__CPU_BRANCH_ALIGN
10:	SUBL	$1, %ECX
#ifndef __NO_ASM_PREDICTIONS
	JC,pn	0b
#else
	JC	0b
#endif
	MOVZBL	(%ESI), %EDX
	ADDL	$1, %ESI
	MOVB	%DL, (%EDI)
	ADDL	$1, %EDI
	TESTW	$3, %DI
	JNZ	10b
	JMP	3b
