#include <ARCH/SETUP.H>

	.GLOBAL memset
	.ALIGN	__CPU_CALL_ALIGN
memset:
	MOVB	%DL, %DH
	PUSHL	%EDI
	XCHGL	%EAX, %EDI
	MOVZWL	%DX, %EAX
	SHLL	$16, %EDX
	ORL	%EDX, %EAX
	MOVL	%EDI, %EDX
	CALL	___memset_internal
	XCHGL	%EDX, %EAX
	POPL	%EDI
	RET

/* This must not change %EAX, %EDX, %EBX, %ESI, %EBP. May change others */

	.GLOBAL	___memset_internal
	.ALIGN	__CPU_CALL_ALIGN
___memset_internal:
	TESTW	$3, %DI
	JNZ	10f
1:	TESTB	$3, %CL
	JNZ	20f
2:	SHRL	$2, %ECX
	REP
	STOSL
0:	RET

	.ALIGN	__CPU_BRANCH_ALIGN
20:	TESTB	$1, %CL
	JZ	21f
	MOVB	%AL, -1(%EDI,%ECX)
	SUBL	$1, %ECX
	TESTB	$2, %CL
	JZ	2b
21:	MOVW	%AX, -2(%EDI,%ECX)
	JMP	2b

	.ALIGN	__CPU_BRANCH_ALIGN
10:	SUBL	$1, %ECX
#ifndef __NO_ASM_PREDICTIONS
	JC,pn	0b
#else
	JC	0b
#endif
	MOVB	%AL, (%EDI)
	ADDL	$1, %EDI
	TESTW	$3, %DI
	JNZ	10b
	JMP	1b
