#include <ARCH/SETUP.H>

	.SECTION .text
	.GLOBAL __secure_lookup_8
	.ALIGN	__CPU_CALL_ALIGN
__secure_lookup_8:
#if __DEBUG >= 1
	CMPL	%ECX, %EDX
	JBE	2f
#endif
	PUSHL	%EBX
	MOVL	%EAX, %EBX
	ANDL	$3, %EBX
	ANDL	$~3, %EAX
	ADDL	%EBX, %EDX
	PUSHL	%EDI
	ADDL	$3, %EDX
	XORL	%EDI, %EDI
	SHRL	$2, %EDX
	ADDL	%EBX, %ECX
	LEAL	(%EAX,%EDX,4), %EAX
	NEG	%EDX

	/* expect that %EBX < 256 here */
	.ALIGN	__CPU_LOOP_ALIGN
1:	SUBL	$4, %ECX
	SETB	%BL
	NEGL	%EBX
	ANDL	(%EAX,%EDX,4), %EBX
	ORL	%EBX, %EDI
	XORL	%EBX, %EBX
	ADDL	$1, %EDX
	JNZ	1b

	ANDL	$3, %ECX
	MOVL	%EDI, %EAX
	SHLL	$3, %ECX
	POPL	%EDI
	SHRL	%CL, %EAX
	POPL	%EBX
	MOVZBL	%AL, %EAX
	RET

#if __DEBUG >= 1
2:	PUSHL	%ECX
	PUSHL	%EDX
	PUSHL	%EAX
	PUSHL	$3f
	CALL	KERNEL$SUICIDE
	.SECTION .rodata
3:	.STRING	"__secure_lookup_8: ACCESS OUT OF TABLE %p, LENGTH %X, INDEX %X"
	.PREVIOUS
#endif
