#ifndef __ATA_ACTRLREG_H
#define __ATA_ACTRLREG_H

#include <SYS/TYPES.H>
#include <ARCH/BSF.H>

#define PORT_RANGE			8
#define ALTPORT_OFFSET			2
#define ALTPORT_RANGE			1
#define DMAPORT_RANGE			8

#define PORT_DATA			0		/* r/w */
#define PORT_ERROR			1		/* r */
#define PORT_FEATURES			1		/* w */
#define	PORT_COUNT			2		/* rw */
#define PORT_LBA_L			3		/* rw */
#define PORT_LBA_M			4		/* rw */
#define PORT_LBA_H			5		/* rw */
#define PORT_DRIVE			6		/* rw */
#define PORT_STATUS			7		/* r */
#define PORT_CMD			7		/* rw */

#define ALTPORT_STATUS			2
#define ALTPORT_CTRL			2
#define ALTPORT_DRIVE_ADDRESS		3

#define DMAPORT_CMD			0
#define		DMACMD_BMEN			0x01
#define		DMACMD_READ			0x08
#define DMAPORT_DEVSPEC0		1
#define DMAPORT_STATUS			2
#define		DMASTATUS_ACTIVE		0x01
#define		DMASTATUS_ERROR			0x02
#define		DMASTATUS_IRQ			0x04
#define		DMASTATUS_MASTER		0x20
#define		DMASTATUS_SLAVE			0x40
#define		DMASTATUS_SIMPLEX		0x80
#define DMAPORT_DEVSPEC1		3
#define DMAPORT_DTP			4

#endif
